libdap::DapXmlNamspaces Class Reference

## Static Public Member Functions

static std::string | getDapNamespaceString (DAPVersion version)
static std::string | getGrddlTransformation (DAPVersion version)
static std::string | getSchemaLocationDeclarationString (DAPVersion version)
static std::string | getSchemaLocationString (DAPVersion version)
static std::string | getXmlNamespace ()
static std::string | getXmlXsiNamespace ()

## Detailed Description

Definition at line 34 of file DapXmlNamespaces.h.

## Constructor & Destructor Documentation

## ~DapXmlNamspaces()

virtual libdap::DapXmlNamspaces::~DapXmlNamspaces | ( |  | ) |

inline virtual

Definition at line 37 of file DapXmlNamespaces.h.

## Member Function Documentation

## getDapNamespaceString()

static std::string libdap::DapXmlNamspaces::getDapNamespaceString | ( | DAPVersion | version | ) |

inline static

Returns the DAP XML namespace string for the passed DAP version.

Definition at line 81 of file DapXmlNamespaces.h.

## getGrddlTransformation()

static std::string libdap::DapXmlNamspaces::getGrddlTransformation | ( | DAPVersion | version | ) |

inline static

Returns the GRDDL transformation URL for the passed DAP version.

Definition at line 52 of file DapXmlNamespaces.h.

## getSchemaLocationDeclarationString()

static std::string libdap::DapXmlNamspaces::getSchemaLocationDeclarationString | ( | DAPVersion | version | ) |

inline static

Returns the schema location declaration (the namespace string followed by a space followed by the schema location string) for the passed DAP version.

Definition at line 132 of file DapXmlNamespaces.h.

## getSchemaLocationString()

static std::string libdap::DapXmlNamspaces::getSchemaLocationString | ( | DAPVersion | version | ) |

inline static

Returns the schema location URI string for the passed DAP version.

Definition at line 106 of file DapXmlNamespaces.h.

## getXmlNamespace()

static std::string libdap::DapXmlNamspaces::getXmlNamespace | ( |  | ) |

inline static

Returns the XML namespace string.

Definition at line 47 of file DapXmlNamespaces.h.

## getXmlXsiNamespace()

static std::string libdap::DapXmlNamspaces::getXmlXsiNamespace | ( |  | ) |

inline static

Returns the XML Schema-instance namespace string.

Definition at line 42 of file DapXmlNamespaces.h.

The documentation for this class was generated from the following file:

- DapXmlNamespaces.h